- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### Env
Examples |
    import processing.sound.*;

    TriOsc triOsc;
    Env env;

    float attackTime = 0.001;
    float sustainTime = 0.004;
    float sustainLevel = 0.3;
    float releaseTime = 0.4;

    void setup() {
      size(640, 360);
      background(255);

      // Create triangle wave
      triOsc = new TriOsc(this);

      // Create the envelope
      env  = new Env(this);

    }

    void draw() {
    }

    void mousePressed() {
      triOsc.play();
      env.play(triOsc, attackTime, sustainTime, sustainLevel, releaseTime);
    }
Description | This is a ASR Envelope Generator.
Methods |
play() | Trigger the envelope
Constructor |
    Env(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:41pm UTC